Changed the RubySpec related to this issue.
https://github.com/anthonycrumley/rubyspec/commit/69beb84864ade8445bd71e171ff3d6472d62c49a

On Fri Jan 23 2015 at 11:26:06 PM U.Nakamura <usa / garbagecollect.jp> wrote:

> Hi,
>
> In message "[ruby-core:67781] Method scope change between 2.1 and 2.2"
>     on Jan.24,2015 12:45:34, <anthony.crumley / gmail.com> wrote:
> > This RubySpec specification passes in Ruby versions 2.0 and 2.1 but fails
> > in 2.2 and 2.3.  Is this change a regression or was it intentional?
>
> See https://bugs.ruby-lang.org/issues/10314 about this.
>
> IMO, it cannot be said to intentional.
> But it seems to be determined as a specification change.
>
>
> Regards,
> --
> U.Nakamura <usa / garbagecollect.jp>
>
>